#include "wad_decoded_merge.h"

namespace NRtDoc {
    TWadDecodedMergerBase::TWadDecodedMergerBase() {
    }

    TWadDecodedMergerBase::~TWadDecodedMergerBase() {
    }

    void TWadDecodedMergerBase::Init(const TString& fileName) {
        FileName = fileName;
    }

    void TWadDecodedMergerBase::Add(const TString& wadPath, THolder<TDocIdMap> docIdMap, IWadPatcher::TPtr wadPatcher, const TString& name, bool /*isDelta*/) {
        Y_ENSURE(!wadPatcher, "Not supported");

        Chunks_.emplace_back(wadPath, std::move(docIdMap), name);
    }
}
